"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSourcePath = void 0;
const path_1 = __importDefault(require("path"));
function getSourcePath(clientOutput, overrideTarget, schemaTarget) {
    if (overrideTarget) {
        // schema relative
        if (overrideTarget.startsWith('./')) {
            return path_1.default.resolve(schemaTarget, overrideTarget);
        }
        // importable
        return require.resolve(overrideTarget);
    }
    return path_1.default.resolve(
    // prisma client directory
    path_1.default.dirname(
    // We cannot directly resolve .prisma/client because pnpm uses a different directory structure,
    // so we find @prisma/client path and resolve the parent directory
    require.resolve(path_1.default.resolve(clientOutput, '../../.prisma/client'))), 'index.d.ts');
}
exports.getSourcePath = getSourcePath;
//# sourceMappingURL=source-path.js.map